TSFileX - File exchange with web server

TSFileX
File exchange with web server

Technical Manual

Design: | Transparent Systems Limited
Version: | 1.0
Last Updated on: | July 10, 2000


Table of Contents

Introduction
Feature list
System architecture
Installation of software

Home


Introduction

TSFileX handles file exchange via your web server.
File exchange via a web server is the most convenient way to exchange files with customers and client.
With just a web browser they can upload and download files.
Downloaded files are compressed automatically in ZIP format.
TSFileX can be up and running in less than a minute time.

Table of Contents Next


Feature list

  1. File exchange with web browser
  2. Downloaded files are compressed automatically
  3. Authorization of users in MS Access 2000 database
  4. Confirmation of file upload by email


System architecture

System scheme
System description
System requirements
Security
Directories

Table of Contents Next


System scheme

System architecture: System scheme

Table of Contents System architecture Next


System description

System architecture: System description

A user logs on to the TSFileX system.
After successful logon a page is shown with files to upload and download.
A downloaded file is automatically compressed in ZIP format.
After uploading a file TSFileX sends an email confirmation to the owner of the system.

Table of Contents System architecture Next


System requirements

System architecture: System requirements

The components required to run the system are:
  • Windows 2000 Server
  • IIS version 5.0 (standard component of Windows 2000 Server)
  • ODBC (standard component)
  • SA-FileUP
SA-FileUp is a component from Software Artisans.
You can download a trial version of SA-FileUp via http://www.softwareartisans.com


Security

System architecture: Security

The setup software automatically installs folder TSFileX as a web application.
All other files are outside the web application.
This is important for the security of the files.
If these files were in the web application a web browser could download them.

Table of Contents System architecture Next


Directories

System architecture: Directories

Under the root directory of TSFileX you will find.
  • COM
    Contains COM+ components
  • Database
    Contains tsfilex.mdb database
  • Files
    Add a directory for each company or customer you set up in TsFileX.mdb.
    For example for name is ABC you add directory ABC
  • TSFileX
    This folder contains all files needed by the web application.


Installation of software

After unzipping the file into a temporary directory, run setup.exe on your web server.
The setup will handle all aspects of the installation.
After running the setup, the system is ready to use.
Now you can add customers to the customer table in TsFileX.mdb.
You can open the MS Access database from any workstation with MS Access 200 installed.
After the installation you can testdrive the system by:
  • Go to desktop and click on TSFileX shortcut
  • Logon with userid = myname@mycompany,com and password = me
  • Now you should see the file exchange page with some files for you

Table of Contents


Table of Contents

Introduction
Feature list
System architecture
System scheme
System description
System requirements
Security
Directories
Installation of software